export default {
    links: {
        /**
         * 公司信息
         */
        company: {
            name: '长沙壹润信息科技发展有限公司',
            link: 'https://yiring.com',
        },
        /**
         * 版权信息
         */
        copyright: {
            name: '长沙壹润信息科技发展有限公司',
            link: 'https://yiring.com',
        },
        /**
         * 服务协议地址
         * @description TODO: 服务协议地址需要根据实际情况进行修改
         */
        services: 'https://app.yiring.com/agri/services.html',
        /**
         * 隐私政策地址
         * @description TODO: 隐私政策地址需要根据实际情况进行修改
         */
        privacy: 'https://app.yiring.com/agri/privacy.html',
    },

    /**
     * 跳转到指定页面
     * @param page 页面全路径
     */
    async to(page: string, options?: UniNamespace.NavigateToOptions) {
        await uni.navigateTo({
            url: page,
            ...options,
        })
    },
    /**
     * 从外部打开指定页面
     * @param link 链接
     */
    open(link: string) {
        // #ifdef APP-PLUS
        if (link?.startsWith('tel:')) {
            uni.makePhoneCall({
                phoneNumber: link.replace('tel:', ''),
            })
        } else {
            plus.runtime.openURL(link)
        }
        // #endif
        // #ifdef H5
        window.open(link)
        // #endif
    },
    /**
     * 从内部打开指定页面
     * @param link 链接
     * @param title 页面标题
     */
    webview(link: string, title: string) {
        uni.navigateTo({
            url: `/pages/common/webview/index?title=${encodeURIComponent(title)}&link=${encodeURIComponent(link)}`,
        })
    },
}
